> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Re-syncs an approved identity's data to the provider after an edit



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json post /v1/identities/{identityId}/compliance-checks/{slug}/resync
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/identities/{identityId}/compliance-checks/{slug}/resync:
    post:
      tags:
        - Compliance Checks
      summary: Re-syncs an approved identity's data to the provider after an edit
      operationId: ComplianceCheckController_resyncComplianceCheck
      parameters:
        - name: identityId
          required: true
          in: path
          schema:
            type: string
        - name: slug
          required: true
          in: path
          schema:
            type: string
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ComplianceCheckStatus'
      security:
        - bearer: []
components:
  schemas:
    ComplianceCheckStatus:
      type: object
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/ComplianceType'
        slug:
          deprecated: true
          description: >-
            Deprecated. Use `type` instead. This field is kept for backward
            compatibility and will be removed in future versions.
          allOf:
            - $ref: '#/components/schemas/ComplianceSlug'
        status:
          allOf:
            - $ref: '#/components/schemas/ComplianceStatus'
        metadata:
          type: object
      required:
        - type
        - slug
        - status
        - metadata
    ComplianceType:
      type: string
      enum:
        - Bridge_base
        - Bridge_sepa
        - Koywe_base
        - Kotanipay_base
        - Bitso_base
        - Yellowcard_base
        - TraceFinance_base
        - HoneyCoin_base
        - BlindPay_base
        - BlindPay_enhanced
        - Finity_base
        - Ares_base
        - Hercle_base
        - Infinia_base
        - Walapay_base
        - Yativo_base
        - Capa_base
        - Bivo_base
        - Cobre_base
        - Brale_base
        - Juicyway_base
        - Onmeta_base
        - Onmeta_ind
        - Alfred_base
        - Demo_base
    ComplianceSlug:
      type: string
      enum:
        - compliance-fee5483c
        - compliance-3d0947c0
        - compliance-9f5059c4
        - compliance-4a8e9f3b
        - compliance-7b9d2c6a
        - compliance-de8e1920
        - compliance-t7f4b831
        - compliance-h9x7p245
        - compliance-432704
        - compliance-15bc9ec4
        - compliance-a96ad46a
        - compliance-4c347d0a
        - compliance-ff6f0b66
        - compliance-bbd0abdf
        - compliance-d4a0bea2
        - compliance-ce1ef04d
        - compliance-191335b3
        - compliance-f47aa1e0
        - compliance-b92f0ad3
        - compliance-f44d3582
        - compliance-5402f18a
        - compliance-dbd2a55c
        - compliance-2c7e1a9d
      description: >-
        Deprecated. Use `type` instead. This field is kept for backward
        compatibility and will be removed in future versions.
    ComplianceStatus:
      type: string
      enum:
        - NotStarted
        - Started
        - Incomplete
        - AwaitingUbo
        - UnderReview
        - Rejected
        - PreApproved
        - Approved
        - Cancelled
      description: >-
        Deprecated. Use `status` instead. This field is kept for backward
        compatibility and will be removed in future versions.
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````